require_relative 'spec_helper'

# This is an example test; rspec should be used to unit test Chef logic
# If you want to cover code with test, use
# test/integration/default/serverspec/*_spec.rb instead

describe 'img-basic::essentials' do
  let(:chef_run) do
    ChefSpec::SoloRunner.new do |_|
    end.converge(described_recipe)
  end

  # TODO: this test expects files to be provisioned, therefore executed after a kitchen converge
  # files_to_render = [
  #   '/etc/sysconfig/clock',
  #   '/etc/modprobe.d/ECS.conf',
  #   '/root/.cshrc'
  # ]
  #
  # files_to_render.each { |file_to_render|
  #   it 'render-#{file_to_render}' do
  #     expect(chef_run).to render_file file_to_render
  #   end
  # }
  #
  # it 'lock-root' do
  #   expect(chef_run).to lock_user 'root'
  # end
end
